Subject: Bug#1280: Resolved

From: Ross Mohn <[email-masked]>
Date: Tue, 3 Jul 2018 13:20:36 -0400

Installed x2goclient-4.1.2.0-2018.06.22 and performed additional 
testing. It seems that if I specify a key in the "Use RSA/DSA key for 
ssh connection" the client doesn't attempt to use the ssh agent at all, 
only that specific key file. I had thought that it would still try the 
agent first, but it only tries the specified key file and then moves 
right to asking for the password, skipping the agent altogether.

Next I created a new id_ed25519.ppk file and loaded it with pagent. I 
leave "Use RSA/DSA key for ssh connection" blank. The client now 
immediately uses pagent for authentication and launches my session 
without requiring any further interaction.

OK to close, thanks! -Ross